<?php
/********** INFO VERSION **********/
$version = "0.97";
$date = "18/06/2006";
$site = "http://clickimage.jonas.tuxfamily.org";
$topic_dc = "http://www.dotclear.net/forum/viewtopic.php?pid=82970";
$dir_clickimage = "tools/clickimage/";


/********** FONCTION ET VARIABLE **********/
require ("fonctions.php");

if ($_POST['save_pref']) {	
	$lightbox_save = 'checked'; 
} else {
	$lightbox_save = '';
}


//création du fichier de config
if ($_POST['enregister']||$_POST['charger'])
{
	// Si demande de configuration préenregister chargement de celle-ci
	if ($_POST['charger'])
	{
		require ("preconfig.php");
	}
	
	//créer une copie du fichier
	copy("tools/clickimage/config.php",'tools/clickimage/config.php'.date('.Y-m-d.H-i-s').'.old');
	
	//Verifie et ecrit le fichier de configuration
	if (!is_writable("tools/clickimage/config.php"))
	{
		$message_enregistrement='<p style=" color:red;"><span style="text-decoration:blink underline;">/!\</span>
			<u style="text-decoration:blink;">/!\</u><p>le fichier de configuration <code>/dotclear/ecrire/tools/clickimage/config.php</code> n\'est pas accessible en &eacute;criture, la configuration n\'a pas pu &ecirc;tre enregistr&eacute;e</p>
			<p>Vous pouvez soit <lo>
			<li>lui changer ces permissions (chmod 666)</li>
			<li>l\'&eacute;diter manuellement</li>
		</lo></p>';
	}
	else
	{
		$fichier_config=fopen("tools/clickimage/config.php","w");
		fwrite($fichier_config,'<?php
			//CONFIGURATION DU SCRIPT CLICKIMAGE
			//Si dotclear est install&eacute; dans son dossier "dotclear" et que celui-ci est install&eacute; &agrave; la racine (installation standard), Aucune modification n\'est n&eacute;cessaire pour le fonctionnement du site.
			
			//Chemin du dossier où sont stockées les images depuis la racine du site. Le dossier doit exister
			$chemin_dossier_image_form = 	\''.add_quotes($_POST['chemin_dossier_image']).'\';
			$chemin_dossier_image = 		"'.add_quotes($_POST['chemin_dossier_image']).'";
			
			//Hauteur maximum des miniature
			$min_reso_H = 	'.($_POST['min_reso_H'] * 1) /* x1 comme ca si l'utilisateur vide le input le script met 0 dans le fichier config (et pas rien qui fait tout planter)*/.';
			//Largeur maximum des miniature
			$min_reso_L = 	'.($_POST['min_reso_L'] * 1).';
			//taille en octet maximum des images envoyer
			$taille_max = 		'.($_POST['taille_max']*1048576).';
			
			//Option pré-enregistrées
			$config_avance = "'.$_POST['config_avance'].'";
			$save_pref = "'.$lightbox_save.'";
			
			//Wiki
			$code_wiki_gauche 	= \''.add_quotes (postORvar ('code_wiki_gauche',		$code_wiki_gauche)).'\';
			$code_wikiclick_gauche 	= \''.add_quotes (postORvar ('code_wikiclick_gauche',	$code_wikiclick_gauche)).'\';
			$code_wiki_droite 		= \''.add_quotes (postORvar ('code_wiki_droite',		$code_wiki_droite)).'\';
			$code_wikiclick_droite 	= \''.add_quotes (postORvar ('code_wikiclick_droite',	$code_wikiclick_droite)).'\';
			$code_wiki_centre 		= \''.add_quotes (postORvar ('code_wiki_centre',		$code_wiki_centre)).'\';
			$code_wikiclick_centre 	= \''.add_quotes (postORvar ('code_wikiclick_centre',	$code_wikiclick_centre)).'\';
			$code_wiki_caract 		= \''.add_quotes (postORvar ('code_wiki_caract',		$code_wiki_caract)).'\';
			$code_wikiclick_caract 	= \''.add_quotes (postORvar ('code_wikiclick_caract',	$code_wikiclick_caract)).'\';
			//HTML
			$code_html_gauche	= \''.add_quotes (postORvar ('code_html_gauche',		$code_html_gauche)).'\';
			$code_htmlclick_gauche	= \''.add_quotes (postORvar ('code_htmlclick_gauche',	$code_htmlclick_gauche)).'\';
			$code_html_droite		= \''.add_quotes (postORvar ('code_html_droite',		$code_html_droite)).'\';
			$code_htmlclick_droite	= \''.add_quotes (postORvar ('code_htmlclick_droite',	$code_htmlclick_droite)).'\';
			$code_html_centre		= \''.add_quotes (postORvar ('code_html_centre',		$code_html_centre)).'\';
			$code_htmlclick_centre	= \''.add_quotes (postORvar ('code_htmlclick_centre',	$code_htmlclick_centre)).'\';
			$code_html_caract		= \''.add_quotes (postORvar ('code_html_caract',		$code_html_caract)).'\';
			$code_htmlclick_caract	= \''.add_quotes (postORvar ('code_htmlclick_caract',	$code_htmlclick_caract)).'\';
			
			//extension reconnue
			$typejpg = array(\'jpg\', \'JPG\', \'jpeg\', \'JPEG\');
			$typegif = array(\'gif\', \'GIF\');
			$typepng = array(\'png\', \'PNG\');
		?>');
		fclose($fichier_config);
		
		$message_enregistrement='<p style="color:green;"><span style="text-decoration:blink underline;">/!\</span> Configuration enregistrée !</p>';
	 }
}

include ("config.php");


//Option avancé selectionner
function selected($option)
{
	global $config_avance;
	if ($config_avance==$option)
	{	return "selected";	}
}

//Option suppmémentaire en fonction du mode d'ouverture des images
if ($config_avance == "lightbox")
{
	global $lightbox_save;
	 $option_supp = '<p><input type="checkbox" name="save_pref" '.$lightbox_save.'> Enregistrer les options (nom de la galerie, alignement des images) lors de l\'envoie des images.</p>';
//} elseif { ($config_avance == "autre config") 
} else {
	$option_supp = '<p><input type="checkbox" name="save_pref" '.$lightbox_save.'> Enregistrer l\' alignement des images lors de l\'envoie de celle-ci.</p>';
}


/********** AFFICHAGE DE LA PAGE **********/
/* Si vous êtes traducteurs et que la façon dont j'ai écris ce qui suit ne convient pas merci 
 * de prendre contacte avec moi et je modifirai cella en fonction de votre demande et de 
 * mon temps libre
 */

buffer::str('
<style>

pre {
    color : gray;
    margin-left : 2em;
    font-size : 95%;
  }


code {
    color : gray;
    font-weight : normal;
    font-size : 95%;
  }


#sommaire span {
    left : 22em;
    position : absolute;
  }


#options_avances li {
    padding-bottom: 1.6em;
  }


#options_avances textarea {
    height : 2.5em;
    left : 25em;
    position : absolute;
    vertical-align : middle;
    width : 40em;
  }


.info {
    border-bottom-style : dotted;
    border-bottom-width : 1px;
    color : black;
    cursor : help;
  }

#info span {
    left : 17em;
    position : absolute;
  }

</style>


<h2>ClickImage</h2>


<h3>Sommaire</h3>

<fieldset>
<ul id="sommaire">
<li><a href="#pres">Pr&eacute;sentation</a> :  		<span>mais &agrave; quoi peut bien servir ce plugin ?</span></li>
<li><a href="#conf">Configuration</a> :  				<span>configurer la taille de miniature, comment s\'ouvrent les images ...</span></li>
<li><a href="#install">Installation</a> :  				<span>les diff&eacute;rentes op&eacute;rations &agrave; effectuer pour que le plugin fonctionne.</span></li>
<li><a href="#uninstall">D&eacute;sinstallation</a> : 	<span>comment supprimer ce plugin ?</span></li>
<li><a href="#bleme">En cas de probl&egrave;me</a> : <span>comment le r&eacute;soudre ?</span></li>
<li><a href="#info">Informations</a> : 				<span>la version du script, le site ...</span></li>
</ul>
</fieldset>

<a name="pres"></a>
<h3>Pr&eacute;sentation</h3>

<fieldset>
<p>ClickImage permet d\'ins&eacute;rer facilement des "miniatures cliquables". Lorsque l\'on clique sur la miniature l\'image (taille d\'origine) s\'ouvre dans un popup ou, suivant la dimension de celle-ci, dans une nouvelle fen&ecirc;tre, dans la m&ecirc;me fen&ecirc;tre ou avec le plugin <a href="http://www.alconis.com/dotclear/index.php?2006/04/14/116-lightbox-js-pour-dotclear">Lightbox JS pour DotClear</a>. Si la taille de l\'image d\'origine et plus petite que la miniature, aucune r&eacute;duction n\'est effectu&eacute;e et l\'image est simplement ins&eacute;r&eacute;e.</p>
<p>Les images peuvent provenir : soit du disque dur, soit d\'un autre site (les images sont alors copi&eacute;es afin de ne pas "voler" la bande passante de l\'autre site).</p>
</fieldset>


<a name="conf"></a>
<h3>Configuration</h3>

<form method="POST" action="'.$_SERVER['PHP_SELF'].'?p=clickimage#conf" >
'.$message_enregistrement.'

<fieldset>

<h4>Chemin du dossier images</h4>

<p>Chemin du dossier (&agrave; partir de la racine du site) o&ugrave; seront stock&eacute;es les images (sans les "/" au d&eacute;but et &agrave; la fin). Il est possible de cr&eacute;er des dossiers "dynamiques" <a href="'.$dir_clickimage.'help_dossierdyn.php?auteur='.$_SESSION['sess_user_id'].'" onclick="window.open (this.href, \'image\', config=\'toolbar=no, height=550, width=500\'); return false;"><img src="images/ico_help.png" alt="help"></a>.<br>
<span style="left : 2em; position : relative;">
<textarea name="chemin_dossier_image" cols="100" rows="1" style="vertical-align : middle;">'.stripslashes($chemin_dossier_image_form).'</textarea><br>
</span></p>


<h4>Taille maximum des fichiers</h4>

<p>Les fichiers envoy&eacute;s ne doivent pas d&eacute;passer les <input type="text" name="taille_max" value="'.($taille_max/1048576).'" size="2"> Mo.</p>


<h4>Miniatures</h4>

<p>La r&eacute;solution des miniatures ne doit pas d&eacute;passer les :<br>
<span style="left : 2em; position : relative;"><input type="text" name="min_reso_L" value="'.$min_reso_L.'" size="3">px en largeur</span>
<span style="left : 3em; position : relative;"><input type="text" name="min_reso_H" value="'.$min_reso_H.'" size="3">px en hauteur</span></p>


<h4>Ouverture des images</h4>

<p>Ouvrir les images 
<select name="config_avance">
	<option '.selected("ici").' value="ici">dans la même fen&ecirc;tre</option>
	<option '.selected("blank").' value="blank">dans une nouvelle fen&ecirc;tre (HTML uniquement)</option>
	<option '.selected("popup").' value="popup">dans un popup aux dimensions de celle-ci (HTML uniquement)</option>
	<option '.selected("lightbox").' value="lightbox">avec le plugin Lightbox JS pour DotClear</option>
</select> 
<INPUT type="submit" name="charger" value="Charger">
</p>

'.$option_supp.'

<p><input type="submit" name="enregister" value="Enregistrer la configuration"></p>


<h4>Options avanc&eacute;es</h4>

<p>Il est possible de modifier manuellement les balises (HTML ou wiki) d\'insertion des images. Si vous ne savez pas ce que vous faites ne touchez pas aux options suivantes.</p>

<p>&Agrave; la place du chemin de la miniature utilisez la variable <code>%min%</code>.<br>
&Agrave; la place du chemin de l\'image d\'origine utilisez la variable <code>%orig%</code>.<br>
&Agrave; la place du texte alternatif ou du commentaire utilisez la variable <code>%texte%</code>.<br>
(Pour le plugin lightbox) &Agrave; la place du nom de l\'album utilisez la variable <code>%album%</code>.</p>


<h5>Image en mode wiki</h5>

<p>Code pour l\'insertion des images <a title="Car plus petites que la taille des miniatures" class="info">non-clickables</a>:</p>
<ul id="options_avances">

	<li>
	Texte &agrave; droite de l\'image :
	<textarea name="code_wiki_gauche">'.(stripslashes($code_wiki_gauche)).'</textarea></span>
	</li>
	
	<li>
	Texte &agrave; gauche de l\'image :
	<textarea name="code_wiki_droite">'.(stripslashes($code_wiki_droite)).'</textarea></span>
	</li>
	
	<li>
	Image centr&eacute;e:
	<textarea name="code_wiki_centre">'.(stripslashes($code_wiki_centre)).'</textarea></span>
	</li>
	
	<li>
	Image comme caract&egrave;re :
	<textarea name="code_wiki_caract">'.(stripslashes($code_wiki_caract)).'</textarea></span>
	</li>

</ul>

<p>Code pour l\'insertion des images <a title="Car plus grandes que la taille des miniatures" class="info">clickables</a>:</p>
<ul id="options_avances">

	<li>
	Texte &agrave; droite de l\'image :
	<textarea name="code_wikiclick_gauche">'.(stripslashes($code_wikiclick_gauche)).'</textarea></span>
	</li>
	
	<li>
	Texte &agrave; gauche de l\'image :
	<textarea name="code_wikiclick_droite">'.(stripslashes($code_wikiclick_droite)).'</textarea></span>
	</li>
	
	<li>
	Image centr&eacute;e:
	<textarea name="code_wikiclick_centre">'.(stripslashes($code_wikiclick_centre)).'</textarea></span>
	</li>
	
	<li>
	Image comme caract&egrave;re :
	<textarea name="code_wikiclick_caract">'.(stripslashes($code_wikiclick_caract)).'</textarea></span>
	</li>

</ul>


<h5>Image en HTML</h5>

<p>Code pour l\'insertion des images <a title="Car plus petites que la taille des miniatures" class="info">non-clickables</a>:</p>
<ul id="options_avances">

	<li>
	Texte &agrave; droite de l\'image :
	<textarea name="code_html_gauche">'.(stripslashes($code_html_gauche)).'</textarea></span>
	</li>
	
	<li>
	Texte &agrave; gauche de l\'image :
	<textarea name="code_html_droite">'.(stripslashes($code_html_droite)).'</textarea></span>
	</li>
	
	<li>
	Image centr&eacute;e:
	<textarea name="code_html_centre">'.(stripslashes($code_html_centre)).'</textarea></span>
	</li>
	
	<li>
	Image comme caract&egrave;re :
	<textarea name="code_html_caract">'.(stripslashes($code_html_caract)).'</textarea></span>
	</li>

</ul>

<p>Code pour l\'insertion des images <a title="Car plus grandes que la taille des miniatures" class="info">clickables</a>:</p>
<ul id="options_avances">

	<li>
	Texte &agrave; droite de l\'image :
	<textarea name="code_htmlclick_gauche">'.(stripslashes($code_htmlclick_gauche)).'</textarea></span>
	</li>
	
	<li>
	Texte &agrave; gauche de l\'image :
	<textarea name="code_htmlclick_droite">'.(stripslashes($code_htmlclick_droite)).'</textarea></span>
	</li>
	
	<li>
	Image centr&eacute;e:
	<textarea name="code_htmlclick_centre">'.(stripslashes($code_htmlclick_centre)).'</textarea></span>
	</li>
	
	<li>
	Image comme caract&egrave;re :
	<textarea name="code_htmlclick_caract">'.(stripslashes($code_htmlclick_caract)).'</textarea></span>
	</li>

</ul>

<p><INPUT type="submit" name="enregister" value="Enregistrer la configuration"></p>
'.config_old()/*donne le nombre de sauvegarde et propose de les supprimées*/.'
</form>
</fieldset>


<a name="install"></a>
<h3>Installation</h3>

<fieldset>

<h4>Remplacement des fichiers "toolbar.js" et "tools.js"</h4>

<p>Cliquez <a href="'.$dir_clickimage.'copierfichier.php" onclick="window.open (this.href, \'image\', config=\'toolbar=no, scrollbars=yes, height=120, width=420\'); return false;">ici</a> ce qui lance un script qui renomme les fichiers "<code>toolbar.js</code>" et "<code>tools.js</code>" en "<code>toolbar.js.backupclickimage</code>" et "<code>tools.js.backupclickimage</code>" se trouvant dans "dotclear/ecrire/js/" et les remplacent par ceux se trouvant dans le dossier du script.</p>

<p>Ces fichiers sont modifi&eacute;s afin de permettre l\'ajout d\'un bouton suppl&eacute;mentaire dans la barre d\'outils.</p>

<p>Pour un installation manuelle, comparez les fichiers. Les lignes ajout&eacute;es sont accompagn&eacute;es d\'un commentaire "ajout pour clickimage".</p>


<h4>Modification des fichiers</h4>

<p>Pour ajouter un boutons &agrave; la barre d\'outils dotclear: dans <code>dotclear/ecrire/poster.php</code> recherchez :</p>
<pre>tb.btImg(\'".str_replace("\'","\\\'",__(\'Internal image\'))."\',\'images-popup.php\');</pre>
<p>et ajoutez en dessous :</p>
<pre>tb.addSpace(10);
tb.btImgClick(\'".str_replace("\'","\\\'",__(\'Image cliquable\'))."\',\'tools/clickimage/clickimage.php\'); //Ajout pour ClickImage</pre>

<p>Si vous utilisez la configuration "<em>ouvrir l\'image dans un popup aux dimensions de celle-ci</em>" : dans <code>dotclear/themes/Votre_themes/template.php</code> recherchez (certains th&egrave;mes n\'ont pas de <code>template.php</code>. Il faut alors modifier  <code>/themes/default/template.php</code>):</p>
<pre>&#060;?php dcPostTrackbackAutoDiscovery(); ?></pre>
<p>et ajoutez en dessous :</p>
<pre>&#060;?php include(dirname(__FILE__).\'/../../ecrire/tools/clickimage/codejavascript.php\') /*Ajout pour ClickImage*/?></pre>

<p>Si vous utilisez le plugin <a href="http://www.alconis.com/dotclear/index.php?2006/04/14/116-lightbox-js-pour-dotclear">Lightbox JS pour DotClear</a> il suffit de faire les modifications pour ce plugin.</p>
</fieldset>


<a name="uninstall"></a>
<h3>D&eacute;sinstallation</h3>

<fieldset>

<h4>Supprimer le bouton</h4>

<p>Il suffit de supprimer dans le fichier <code>dotclear/ecrire/poster.php</code> les lignes :</p>
<pre>tb.addSpace(10);
tb.btImgClick(\'".str_replace("\'","\\\'",__(\'Image cliquable\'))."\',\'tools/clickimage/clickimage.php\'); //Ajout pour ClickImage</pre>


<h4>Supprimer le script d\'ouverture des images dans le popup</h4>

<p>Si vous voulez supprimer ce script (inutile si vous ne vous servez pas de la configuration "<em>ouvrir l\'image dans un popup aux dimensions de celle-ci</em>") il suffit d\'enlever du fichier <code>template.php</code> la ligne :</p>
<pre>&#060;?php include(dirname(__FILE__).\'/../../ecrire/tools/clickimage/codejavascript.php\') /*Ajout pour ClickImage*/?></pre>


<h4>Restaurer les fichiers "toolbar.js" et "tools.js"</h4>

<p>Lors de l\'installation, les ancien fichiers "<code>toolbar.js</code>" et "<code>tools.js</code>" ont &eacute;t&eacute; renomm&eacute;s en "<code>toolbar.js.backupclickimage</code>" et "<code>tools.js.backupclickimage</code>". Pour restaurer ces fichiers il suffit de cliquer <a href="'.$dir_clickimage.'restaurerfichier.php" onclick="window.open (this.href, \'image\', config=\'toolbar=no, scrollbars=yes, height=120, width=420\'); return false;">ici</a>.</p>
<p>Si la modification de ces fichiers a &eacute;t&eacute; effectu&eacute;e avec une version inf&eacute;rieure &agrave; la version 0.95 du script clickimage, la restauration automatique ne fonctionne pas car les fichiers de sauvegarde ont &eacute;t&eacute; renomm&eacute;s en "<code>toolbar.js.old</code>" et "<code>tools.js.old</code>".

</fieldset>

<a name="bleme"></a>
<h3>En cas de probl&egrave;me</h3>

<fieldset>
<ul>
<li>J\'ai un fichier de config foir&eacute; : r&eacute;cup&eacute;rez-en un ancien, le script les a sauvegard&eacute;s en "config.php.AAAA-MM-JJ.HH-MM-SS.old".</li>
<li>J\'ai autre probl&egrave;me ou j\'ai d&eacute;couvert un bug :</p>
<ul>
<li>V&eacute;rifiez que vous poss&eacute;dez la derni&egrave;re version du script sur <a href="'.$site.'">le site</a>.</li>
<li>Contactez-moi via les commentaires sur <a href="'.$site.'">mon site</a>.</li>
</ul>
</ul>
</fieldset>


<a name="info"></a>
<h3>Informations</h3>

<fieldset>
<ul id="info">
<li>Auteur : 	<span>Jonas Fourquier</span></li>
<li>Site web :	<span><a href="'.$site.'">'.$site.'</span></a></li>
<li>Version : 	<span>'.$version.'</span></li>
<li>du :		<span> '.$date.'</span></li>
<li>Contributeur :
	<ul>
	<li>Correction orthographique (V0.96) : Li-An (<a href="http://li.an.free.fr/blog/">Site web</a>)</li>
	</ul></li>
</ul>
</fieldset>
');
?>
